using System;
using System.Collections.Generic;
using System.Linq;

namespace Benday.FakesSample.Business
{
    public class Person
    {
        public Person()
        {

        }

        /// <summary>
        /// Initializes a new instance of the Person class.
        /// </summary>
        public Person(
            int id,
            string firstName, 
            string lastName, 
            string emailAddress, 
            string notes, 
            DateTime createDate, 
            DateTime lastModified)
        {
            Id = id;
            FirstName = firstName;
            LastName = lastName;
            EmailAddress = emailAddress;
            Notes = notes;
            CreateDate = createDate;
            LastModified = lastModified;
        }

        public int Id { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string EmailAddress { get; set; }        
        public string Notes { get; set; }
        public DateTime CreateDate { get; set; }
        public DateTime LastModified { get; set; }
    }
}
